Newer version of Perl?

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Newer version of Perl?

Andrew DeFaria-2
Apologies if this has been asked before. What the latest version of Perl
available for Cygwin. I see 5.14 but I know that 5.16 and 5.18 are out.
--
Andrew DeFaria
http://defaria.com


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Newer version of Perl?

Warren Young
On 5/7/2014 16:10, Andrew DeFaria wrote:
> Apologies if this has been asked before.

Actually, I brought it up here yesterday, as a result of trying to help
you with mod_perl alternatives:

     http://cygwin.com/ml/cygwin/2014-05/msg00113.html

> What the latest version of Perl
> available for Cygwin. I see 5.14 but I know that 5.16 and 5.18 are out.

5.18.2 is in test.  Run setup.exe, find perl on the Select Packages
screen, then click the "5.14.4" until it says "5.18.2" instead.

Beware, because it's "test", every time you run setup.exe again, you
have to be careful to re-select it, or it will get downgraded to 5.14 again.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Newer version of Perl?

Andrew DeFaria-2
On 5/7/2014 5:17 PM, Warren Young wrote:

> On 5/7/2014 16:10, Andrew DeFaria wrote:
>> Apologies if this has been asked before.
>
> Actually, I brought it up here yesterday, as a result of trying to help
> you with mod_perl alternatives:
>
>      http://cygwin.com/ml/cygwin/2014-05/msg00113.html
>
>> What the latest version of Perl
>> available for Cygwin. I see 5.14 but I know that 5.16 and 5.18 are out.
>
> 5.18.2 is in test.  Run setup.exe, find perl on the Select Packages
> screen, then click the "5.14.4" until it says "5.18.2" instead.
>
> Beware, because it's "test", every time you run setup.exe again, you
> have to be careful to re-select it, or it will get downgraded to 5.14
> again.

I think the problem is that I'm using Cygwin 64bit but when I click on
5.14.4 is doesn't change. Perhaps 5.18.2 is only compiled for 32 bit?
--
Andrew DeFaria
http://defaria.com


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Newer version of Perl?

Warren Young
On 5/7/2014 20:30, Andrew DeFaria wrote:
> Perhaps 5.18.2 is only compiled for 32 bit?

Confirmed.

Perl 5.18 breaks binary module packages, which is why it's still in
test, waiting for those package maintainers to update their packages.  I
don't know what the status of the binary module updates is, which would
tell us when we can expect Perl 5.18 to be pushed to curr.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Newer version of Perl?

Kptain

Any news?

I'm already using Perl 5.18 on Cygwin 32 ,
and I would like to do the same on 64 bit as most of packages I need are now already available on 64 bits.

Thanks in advance,
and also for all your work,

Rgds,

Stephane